Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface PointersType

All Known Subinterfaces:
  ExtendedPointersType, ExtendedPointersWithOwnerType

All Known Implementing Classes:
  ExtendedPointersTypeImpl, ExtendedPointersWithOwnerTypeImpl, PointersTypeImpl

    public interface PointersType

An ordered sequence of text-annotated pointers to other infocards, along with attribute data, as follows--notes: user-defined string. Java content class for pointersType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 270)

     <complexType name="pointersType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="parentPtr" type="{http://infoml.org/infomlFile}richPointerType" minOccurs="0"/>
             <element name="ptr" type="{http://infoml.org/infomlFile}richPointerType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="notes" type="{http://infoml.org/infomlFile}nonnullTokenType" />
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.lang.String` | `getNotes()` Gets the value of the notes property.
`RichPointerType` | `getParentPtr()` Gets the value of the parentPtr property.
`java.util.List` | `getPtr()` Gets the value of the Ptr property.
`void` | `setNotes(java.lang.String value)` Sets the value of the notes property.
`void` | `setParentPtr(RichPointerType value)` Sets the value of the parentPtr property.

Method Detail

### getParentPtr

    RichPointerType getParentPtr()

  Gets the value of the parentPtr property.

  Returns:
    possible object is `RichPointerType`

### setParentPtr

    void setParentPtr(RichPointerType value)

  Sets the value of the parentPtr property.

  Parameters:
    `value` - allowed object is `RichPointerType`

### getNotes

    java.lang.String getNotes()

  Gets the value of the notes property.

  Returns:
    possible object is `String`

### setNotes

    void setNotes(java.lang.String value)

  Sets the value of the notes property.

  Parameters:
    `value` - allowed object is `String`

### getPtr

    java.util.List getPtr()

  Gets the value of the Ptr property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Ptr property.

  For example, to add a new item, do as follows:

          getPtr().add(newItem);

  Objects of the following type(s) are allowed in the list `RichPointerType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD